Linux Installer Error

KB Home   |   Linux Installer Error

Main.LinuxInstallerExtractionError History

Hide minor edits - Show changes to output

May 09, 2017, at 03:53 AM by peterf - Removing unwanted automatic link insertion.
Changed lines 19-20 from:
   wget https://cdn.papercut.com/files/pcng/17.x/pcng-setup-17.0.7-linux-x64.sh
    sh ./https://cdn.papercut.com/files/pcng/17.x/pcng-setup-17.0.7-linux-x64.sh
to:
   wget [=https://cdn.papercut.com/files/pcng/17.x/pcng-setup-17.0.7-linux-x64.sh=]
    sh [=./https://cdn.papercut.com/files/pcng/17.x/pcng-setup-17.0.7-linux-x64.sh=]
May 09, 2017, at 03:51 AM by peterf - Modifying to remove reference to 32-bit Linux binaries.
Changed lines 17-20 from:
The recommended method of download is to use the command-line program [@wget@]:

    wget https://www
.papercut.com/anonftp/pub/pcng/current/pcng-setup-linux-i686.sh
    sh .
/pcng-setup-linux-i686.sh
to:
The recommended method of download is to use the command line program [@wget@] in conjunction with a download URL retrieved from our website. An example is shown below:

    wget https:
//cdn.papercut.com/files/pcng/17.x/pcng-setup-17.0.7-linux-x64.sh
    sh ./https://cdn.papercut.com/files/pcng/17.x/pcng-setup-17.0.7-linux-x64
.sh
September 07, 2011, at 05:49 AM by tim - tar failures due to timestamp
Changed lines 22-29 from:
to:
Q: When I install the Linux version, I receive the following errors:

  tar: papercut/providers/hardware...... : time stamp 2011-08025 14:39:42 is  1723090.801629397 s in the future

A: The machine that you are installing to has an incorrectly set clock. Its time is too old
and so we get warning messages when extracting files which have a datestamp newer than the files
in the installation archive. To fix this, fix the clock on your machine.

Changed line 24 from:
''Categories:'' [[Category.Miscellaneous|+]], [[Category.Error|+]]
to:
''Categories:'' [[Category.Error | +]]
Changed lines 24-26 from:

''Categories:'' [[!Miscellaneous]], [[!Error]]
to:
''Categories:'' [[Category.Miscellaneous|+]], [[Category.Error|+]]
Added lines 1-2:
(:title Linux Installer Error :)
Changed lines 1-2 from:
Q: I'm unable to install the linux version and receive the following error:
to:
Q: I'm unable to install the Linux version and receive the following error:
Changed line 11 from:
* The software was downloaded via FTP in TEXT format rather than VINARY format
to:
* The software was downloaded via FTP in TEXT format rather than BINARY format
Changed line 12 from:
* The software was downloaded on Windows and WinSCP was used in the process (this program corrupts *.SH files by changing the text format!)
to:
* The software was downloaded on Windows and [=WinSCP=] was used in the process (this program corrupts *.SH files by changing the text format!)
Added lines 1-24:
Q: I'm unable to install the linux version and receive the following error:

    gunzip: stdin: invalid compressed data--format violated
    87+0 records in
    86+0 records out
    tar: Error exit delayed from previous errors
    Error: extraction failed

A: This message indicates that the installer is corrupt or failed to fully download.  Please try downloading again.  Some common causes of this are:

* The software was downloaded via FTP in TEXT format rather than VINARY format
* The software was downloaded on Windows and WinSCP was used in the process (this program corrupts *.SH files by changing the text format!)
* The program did not fully download

The recommended method of download is to use the command-line program [@wget@]:

    wget https://www.papercut.com/anonftp/pub/pcng/current/pcng-setup-linux-i686.sh
    sh ./pcng-setup-linux-i686.sh


----

''Categories:'' [[!Miscellaneous]], [[!Error]]

Comments

Share your findings and experience with other PaperCut users. Feel free to add comments and suggestions about this Knowledge Base article. Please don't use this for support requests.

Article last modified on May 09, 2017, at 03:53 AM
Printable View   |   Article History   |   Edit Article